curl-1.3.8: Haskell binding to libcurl

Copyright | (c) Galois Inc 2007-2009
License | BSD3
Maintainer | Sigbjorn Finne <sof@galois.com>
Stability | provisional
Portability | portable
Safe Haskell | Safe-Inferred
Language | Haskell98

Network.Curl.Post

Description

Representing and marshalling formdata (as part of POST uploads/submissions.) If you are only looking to submit a sequence of name=value pairs, you are better off using the CurlPostFields constructor; much simpler.

# Documentation

type Header = String #

data HttpPost #

Constructors

HttpPost |

Fields

- postName :: String
- contentType :: Maybe String
- content :: Content
- extraHeaders :: [Header]
- showName :: Maybe String

#### Instances

Instances details

Show HttpPost # |
Instance details Defined in Network.Curl.Post Methods showsPrec :: Int -> HttpPost -> ShowS # show :: HttpPost -> String # showList :: [HttpPost] -> ShowS #
Eq HttpPost # |
Instance details Defined in Network.Curl.Post Methods (==) :: HttpPost -> HttpPost -> Bool # (/=) :: HttpPost -> HttpPost -> Bool #

data Content #

Constructors

ContentFile FilePath |
ContentBuffer (Ptr CChar) Long |
ContentString String |

#### Instances

Instances details

Show Content # |
Instance details Defined in Network.Curl.Post Methods showsPrec :: Int -> Content -> ShowS # show :: Content -> String # showList :: [Content] -> ShowS #
Eq Content # |
Instance details Defined in Network.Curl.Post Methods (==) :: Content -> Content -> Bool # (/=) :: Content -> Content -> Bool #

multiformString :: String -> String -> HttpPost #

sizeof_httppost :: Int #

marshallPosts :: [HttpPost] -> IO (Ptr HttpPost) #

marshallPost :: HttpPost -> IO (Ptr HttpPost) #

curl_slist_append :: Ptr Slist_ -> CString -> IO (Ptr Slist_) #

curl_slist_free :: Ptr Slist_ -> IO () #

curl_formfree :: Ptr a -> IO () #